# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class IcalUIDProperty

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.calendar.IcalUIDProperty

All Implemented Interfaces:
  Extension

    public class IcalUIDProperty

extends ValueConstruct

GData schema extension describing the UID in the ical export of the event. The value can be an arbitrary string and is described in section 4.8.4.7 of RFC 2445. This value is different from the value of the event ID. Currently a read-only entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`IcalUIDProperty()`
`IcalUIDProperty(java.lang.String value)`

Method Summary
`static ExtensionDescription` `getDefaultDescription()`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IcalUIDProperty

    public IcalUIDProperty()

### IcalUIDProperty

    public IcalUIDProperty(java.lang.String value)

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()